#!/bin/bash -u

# setup args in the right order for making getopt evaluation
# nice and easy.  You'll need to read the manpages for more info
args=$(getopt -o h -- "$@")
eval set -- "$args"

###########################################################
usage() {
    echo ''           >&2
    echo "$0 <file listing ntp servers>"         >&2
    echo "   Set /etc/systemd/timesyncd.conf.d/FNAL.conf for use at Fermilab">&2
    echo ''          >&2
    exit 1
}

###########################################################
for arg in $@; do
    case $1 in
        -- )
            # end of getopt args, shift off the -- and get out of the loop
            shift
            break 2
           ;;
         -h )
            # get help
            usage
           ;;
    esac
done

FILENAME=${1:-}
if [[ ! -f ${FILENAME} ]]; then
    usage
fi
NTPSERVERS=$(cat ${FILENAME} | tr '\012' ' ')

mkdir -p /etc/systemd/timesyncd.conf.d
cat > /etc/systemd/timesyncd.conf.d/FNAL.conf <<EOF
[Time]
NTP=${NTPSERVERS}
EOF

chmod 755 /etc/systemd/timesyncd.conf.d
chmod 644 /etc/systemd/timesyncd.conf.d/FNAL.conf
restorecon -rF /etc/systemd/timesyncd.conf.d/
